Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.stockquote.resources
Class StockQuoteResource

    java.lang.Object
      org.eclipse.lyo.oslc4j.stockquote.resources.StockQuoteResource

    public class StockQuoteResource

extends Object

Constructor Summary
`StockQuoteResource()`

Method Summary
`javax.ws.rs.core.Response` | `addStockQuote(javax.servlet.http.HttpServletRequest httpServletRequest, StockQuote stockQuote)`
`javax.ws.rs.core.Response` | `deleteStockQuote(String stockQuoteId)`
`Compact` | `getCompact(String stockQuoteId)`
`StockQuote` | `getStockQuote(String stockQuoteId)`
`StockQuote[]` | `getStockQuotes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StockQuoteResource

    public StockQuoteResource()

Method Detail

### getStockQuotes

    public StockQuote[] getStockQuotes()
                                throws org.apache.wink.json4j.JSONException

  Throws:
    `org.apache.wink.json4j.JSONException`

### getStockQuote

    public StockQuote getStockQuote(String stockQuoteId)
                             throws org.apache.wink.json4j.JSONException

  Throws:
    `org.apache.wink.json4j.JSONException`

### getCompact

    public Compact getCompact(String stockQuoteId)

### addStockQuote

    public javax.ws.rs.core.Response addStockQuote(@Context
                                                   javax.servlet.http.HttpServletRequest httpServletRequest,
                                                   StockQuote stockQuote)
                                            throws URISyntaxException

  Throws:
    `URISyntaxException`

### deleteStockQuote

    public javax.ws.rs.core.Response deleteStockQuote(String stockQuoteId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.